Loading...
Searching...
No Matches
L4::Unknown_error Class Reference
L4Re C++ Interface » C++ Exceptions

Exception for an unknown condition. More...

`#include <l4/cxx/exceptions>`

Inheritance diagram for L4::Unknown_error:
Collaboration diagram for L4::Unknown_error:

## Public Member Functions

char const * | str () const noexcept override
| Return a human readable string for the exception.
Public Member Functions inherited from L4::Base_exception
virtual | ~Base_exception () noexcept
| Destruction.
Public Member Functions inherited from L4::Exception_tracer
void const *const * | pc_array () const noexcept
| Get the array containing the call trace.
int | frame_count () const noexcept
| Get the number of entries that are valid in the call trace.

## Additional Inherited Members

Protected Member Functions inherited from L4::Base_exception
| Base_exception () noexcept
| Create a base exception.
Protected Member Functions inherited from L4::Exception_tracer
| Exception_tracer () noexcept
| Create a back trace.

## Detailed Description

Exception for an unknown condition.

This error is usually used when a server returns an unknown return state to the client, this may indicate incompatible messages used by the client and the server.

Definition at line 208 of file exceptions.

The documentation for this class was generated from the following file:

- l4/cxx/exceptions